DummyCrossReferenceResolver (BioJava-1.5-beta API)
Keywords: org.biojavax.DummyCrossReferenceResolver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax
Class DummyCrossReferenceResolver

    java.lang.Object
      org.biojavax.DummyCrossReferenceResolver

All Implemented Interfaces:
  CrossReferenceResolver

    public class DummyCrossReferenceResolver

extends Object
implements CrossReferenceResolver

A simple implementation of CrossReferenceResolver.

Since:
  1.5
Author:
  Richard Holland, Mark Schreiber

Constructor Summary
`DummyCrossReferenceResolver()`

Method Summary
`BioEntry` | `getRemoteBioEntry(CrossRef cr)` Given the `CrossRef` return the corresponding `BioEntry` All responses are null.
`SymbolList` | `getRemoteSymbolList(CrossRef cr, Alphabet a)` Given a cross reference, return the corresponding symbol list. All responses are instances of InfinitelyAmbiguousSymbolList.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyCrossReferenceResolver

    public DummyCrossReferenceResolver()

Method Detail

### getRemoteSymbolList

    public SymbolList getRemoteSymbolList(CrossRef cr,
                                          Alphabet a)

  Given a cross reference, return the corresponding symbol list. All responses are instances of InfinitelyAmbiguousSymbolList.

  Specified by:
    `getRemoteSymbolList` in interface `CrossReferenceResolver`
  Parameters:
    `cr` - the cross reference to look up.
    `a` - the alphabet to construct the infinitely ambiguous symbol list over if it cannot be found.
  Returns:
    the symbol list matching it. If none, return an infintely-ambiguous symbol list rather than null.

### getRemoteBioEntry

    public BioEntry getRemoteBioEntry(CrossRef cr)

  Given the `CrossRef` return the corresponding `BioEntry` All responses are null.

  Specified by:
    `getRemoteBioEntry` in interface `CrossReferenceResolver`
  Parameters:
    `cr` - the cross reference
  Returns:
    The cross referenced entry (most likely a `RichSequence` or null if it cannot be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD